namespace Diligent.WebAPI.Host.Hubs
{
    public interface IChatClient
    {
        Task ReceiveMessage(ChatMessage message);

        Task ReceiveNotifications(string userId, string roomId);
        Task ViewTyping(TypingMessage message);
    }
}
